
# This file was generated by the SOM Compiler.
# FileName: wplocatr.sc.
# Generated using:
#     SOM Precompiler spc: 1.22
#     SOM Emitter emitcsc: 1.10

/*
 *  SCC: @(#) 47 6/2/93 17:27:58 1.12 @(#)
 *  Module Header
 * 
 *  Module Name: WPLOCATR
 * 
 *  OS/2 Presentation Manager Workplace class definitions
 * 
 *  Copyright (c) International Business Machines Corporation 1992
 * 
 */

#include "penbtndv.sc"

class: PenLocator, 
    external stem = WPlct, local, external prefix = lct_, 
    classprefix = lctM_, major version = 1, minor version = 1, 
    file stem = wplocatr;

    -- 
    --  CLASS: PenLocator
    -- 
    --  CLASS HIERARCHY:
    --     SOMObject
    --        WPObject
    --              WPAbstract
    --                    PenLocator
    -- 
    --  DESCRIPTION:
    --     This is the Locator object class.
    -- 
    --     An instance of this class can be created as a Workplace object.
    -- 
    --     An instance of this class is created initially by the system.
    --     It has the title, "Locator" and resides in the "System Setup" folder.
    -- 


parent class: PenButtonDevice;


release order:
    penAddLocatorTimingPage, penclsQueryPauseId, penclsQueryPauseEnableId, 
    penclsQueryDefaultPause, penclsQueryPauseEnableDefault, penQueryCalProgram, 
    penSetCalProgram, penDummyPrivate, penSetCalParms, 
    penQueryCalParms;

methods:


    ULONG    penAddLocatorTimingPage(HWND hwndNotebook);

    -- 
    --  METHOD: penAddLocatorTimingPage                        ( ) PRIVATE
    --                                                         (X) PUBLIC
    --  PURPOSE:
    --    Add the timing configuration page to the locator settings
    --    notebook
    -- 

    BOOL    penSetCalProgram(PSZ pszName);

    -- 
    --  METHOD: penSetCalProgram                             (X) PRIVATE
    --                                                         ( ) PUBLIC
    --  PURPOSE:
    --    Set the Calibration Program Name
    -- 

    PSZ    penQueryCalProgram();

    -- 
    --  METHOD: penQueryCalProgram                             (X) PRIVATE
    --                                                         ( ) PUBLIC
    --  PURPOSE:
    --    Return the Calibration Program Name

    BOOL    penSetCalParms(PSZ pszCalParms);

    -- 
    --  METHOD: penSetCalParms                               (X) PRIVATE
    --                                                         ( ) PUBLIC
    --  PURPOSE:
    --    Set the Calibration Parameters flag
    -- 

    PSZ    penQueryCalParms();

    -- 
    --  METHOD: penQueryCalParms                               (X) PRIVATE
    --                                                         ( ) PUBLIC
    --  PURPOSE:
    --    Return the Calibration Parameters flag

    override wpOpen;

    -- 
    --  METHOD: wpOpen                                         ( ) PRIVATE
    --                                                         (X) PUBLIC
    --  PURPOSE:
    --    Do not open the object if there is no device support
    -- 

    override wpAddSettingsPages;

    -- 
    --  METHOD: wpAddSettingsPages                             ( ) PRIVATE
    --                                                         (X) PUBLIC
    --  PURPOSE:
    --    Add our own settings page to let the user change the locator
    --    settings.
    -- 

    override wpAddObjectWindowPage;

    -- 
    --  REMARKS:
    --    This object doesn't get a window page because it doesn't
    --    have any open views other than settings
    -- 

    override wpFilterPopupMenu;

    -- 
    --  REMARKS:
    --    Filter out any options from the context that don't apply.
    -- 
    -- 

    override wpSetup;

    -- 
    --  REMARKS:
    --    Search the setup string for the device type and calibration
    --    program keywords.  Then initialize the instance data for these
    --    parameters.
    -- 

    override wpInitData;

    -- 
    --  REMARKS:
    --    Initialize the device type and calibration program name instance
    --    data for this device object.
    -- 

    override wpUnInitData;

    -- 
    --  REMARKS:
    --    Release any resources that get allocated during the wpInitData
    --    processing.
    -- 

    override wpRestoreState;

    -- 
    --  REMARKS:
    --    Retreive the device type and calibration program name for this
    --    object instance and set the instance variables for these parameters.
    -- 

    override wpSaveState;

    -- 
    --  REMARKS:
    --    Save the instance variable values.
    -- 

    override wpModifyPopupMenu;

    -- 
    --  REMARKS:
    --    Add the Calibrate menu item.
    -- 

    override wpMenuItemSelected;

    -- 
    --  REMARKS:
    --    Process the Calibrate menu item.
    -- 

    override wpMenuItemHelpSelected;

    -- 
    --  REMARKS:
    --    Process the Calibrate menu item.
    -- 

    ULONG    penclsQueryDefaultPause(), class;

    -- 
    --  METHOD: penclsQueryDefaultPause                        ( ) PRIVATE
    --                                                         (X) PUBLIC
    --  PURPOSE:
    --    Return the default system setting for Pause
    -- 

    ULONG    penclsQueryPauseEnableDefault(), class;

    -- 
    --  METHOD: penclsQueryPauseEnableDefault                  ( ) PRIVATE
    --                                                         (X) PUBLIC
    --  PURPOSE:
    --    Return the default system setting for Pause Enable
    -- 

    override wpclsQueryTitle, class;

    -- 
    --  REMARKS:
    --    Returns the Locator Title.
    -- 

    override wpclsQueryDefaultHelp, class;

    -- 
    --  REMARKS:
    --    Process input from the extra menu option that we added.
    -- 

    override wpclsQueryDefaultView, class;

    -- 
    --  REMARKS:
    --    Returns the default view for a new instance of this object.
    -- 

    override wpclsQueryStyle, class;

    -- 
    --  REMARKS:
    --   give styles to prevent deletion, copying and templates
    -- 
    -- 

    override wpclsQueryIconData, class;

    -- 
    --  REMARKS:
    --    Return the class icon
    -- 

